unit PropertiesForm;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs;

type
  TPropertiesDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Panel: TPanel;
    Button1: TButton;
    ColorDialog: TColorDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    m_Color: TColor;
    procedure SetColor(color: TColor);
  end;

var
  PropertiesDlg: TPropertiesDlg;

implementation

{$R *.dfm}

procedure TPropertiesDlg.Button1Click(Sender: TObject);
begin
  if ColorDialog.Execute then SetColor(ColorDialog.Color);
end;

procedure TPropertiesDlg.SetColor(color: TColor);
begin
  m_Color := color;
  ColorDialog.Color := color;
  Panel.Color := color;
end;


end.
